<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <groupId>ru.omnicomm.pegasus.servers.request.processing</groupId>
    <artifactId>main</artifactId>
    <packaging>pom</packaging>
    <version>1.0</version>
    <name>Servers</name>
    <modules>
        <module>MovementReportDataCache</module>
        <module>FuelGraphRequestServer</module>
        <module>SpeedGraphRequestServer</module>
        <module>AnalogSensorGraphRequestServer</module>
        <module>BinarySensorGraphRequestServer</module>
        <module>MapRequestServer</module>
        <module>RefuelingReportRequestServer</module>
        <module>DetailReportRequestServer</module>
        <module>VehiclesListRequestServer</module>
        <module>SummaryReportRequestServer</module>
        <module>ObjectStatesRequestServer</module>
    </modules>

    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <imp.ver>SNAPSHOT</imp.ver>
        <skipTests>true</skipTests>
    </properties>

    <repositories>
        <repository>
            <id>repository.jboss.org</id>
            <url>https://repository.jboss.org/nexus/content/repositories/releases/</url>
            <snapshots>
                <enabled>false</enabled>
            </snapshots>
        </repository>

        <repository>
            <id>internal</id>
            <url>http://192.168.30.208:8888/archiva/repository/internal/</url>
            <snapshots>
                <enabled>true</enabled>
            </snapshots>
        </repository>

        <repository>
            <id>archiva.ascatel.com</id>
            <url>http://archiva.ascatel.com:8888/archiva/repository/internal/</url>
            <snapshots>
                <enabled>true</enabled>
            </snapshots>
        </repository>
    </repositories>

    <dependencies>
        <dependency>
            <groupId>ru.omnicomm.pegasus</groupId>
            <artifactId>ProcessingPlatformCommon</artifactId>
            <version>0.0.06</version>
        </dependency>

        <dependency>
            <groupId>ru.omnicomm.pegasus.servers.request</groupId>
            <artifactId>CommonRequestUtility</artifactId>
            <version>0.0.03</version>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>2.3.2</version>
                <configuration>
                    <source>1.6</source>
                    <target>1.6</target>
                    <showWarnings>true</showWarnings>
                    <showDeprecation>true</showDeprecation>
                    <encoding>${project.build.sourceEncoding}</encoding>
                </configuration>
            </plugin>

            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-resources-plugin</artifactId>
                <version>2.4.3</version>
                <configuration>
                    <encoding>${project.build.sourceEncoding}</encoding>
                </configuration>
            </plugin>

            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-surefire-plugin</artifactId>
                <version>2.10</version>
                <configuration>
                    <skipTests>${skipTests}</skipTests>
                </configuration>
            </plugin>
        </plugins>

        <resources>
            <resource>
                <directory>src/main/resources</directory>
                <filtering>false</filtering>
                <excludes>
                    <exclude>**/*.bat</exclude>
                    <exclude>**/*.sh</exclude>
                </excludes>
            </resource>
        </resources>

    </build>
</project>
